main:
  mov ax, cs
  mov ds, ax
  mov es, ax

  mov bx, 0x002E
  mov dx, debug_reg_ir

  call ivt_set

  call heap_init
  mov ax, 18
  call malloc

  int 0x2E

.endloop:
  hlt
  jmp .endloop

%include "kernel/heap.asm"
%include "kernel/intr.asm"
%include "kernel/debug.asm"
%include "kernel/kprintf.asm"

align 16
heap:
  dw 0
